* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  font-family: Arial, sans-serif;
  color: #f8f8f8;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-bottom: 16px;
}

nav {
  height: 50px;
  background-color: rgba(0, 0, 0, 0.9);
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  padding: 10px 0;
}

nav a {
  text-decoration: none;
  color: #fff;
  font-weight: bold;
}

nav a:hover {
  color: #ffd972;
}

main {
  position: relative;
  background: url("../images/background.jpg") center/cover no-repeat;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 20px;
}

main::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 0;
}
#shop {
  background-color: black;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 20px;
}
#no-found {
  background-color: black;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 20px;
  height: 100vh;
}

section {
  position: relative;
  z-index: 1;
  max-width: 800px;
  padding: 20px;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(5px);
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  margin-bottom: 20px;
}

a[href="shop.html"] {
  display: inline-block;
  padding: 12px 20px;
  background: #ffd972;
  color: #000;
  text-decoration: none;
  font-weight: bold;
  border-radius: 8px;
  margin-top: 10px;
}

a[href="shop.html"]:hover {
  background: #f2c14e;
}
/* doesnt work not fixing */
.product-grid {
  display: flex;
  flex: wrap;
}

.product img {
  width: 10vw;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}
button{
    display: inline-block;
  padding: 12px 20px;
  background: #ffd972;
  color: #000;
  text-decoration: none;
  font-weight: bold;
  border-radius: 8px;
  margin-top: 10px;
}